## org.eclipse.datatools.sqltools.db.derby.core.services
Class DerbyHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.core.DBHelper
          org.eclipse.datatools.sqltools.db.derby.core.services.DerbyHelper

    public class DerbyHelper

extends org.eclipse.datatools.sqltools.core.DBHelper

Author:
  hcao

Constructor Summary
`DerbyHelper()`

Method Summary
`org.eclipse.datatools.sqltools.core.ProcIdentifier` `getProcIdentifier(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, int dbObjectType, java.util.Map map)`
`org.eclipse.datatools.sqltools.core.ProcIdentifier` `getProcIdentifier(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, java.lang.String dbObjectName, int dbObjectType, java.lang.String tableName, java.lang.String ownerName, java.lang.String tableOwnerName)`

Methods inherited from class org.eclipse.datatools.sqltools.core.DBHelper
`calculateTriggerTableName, getCorrectParamType, getDefaultSchemaName, getExceptionChainMessage, getProcIdentifier, getServerIdentifier, getSysDatabaseNames, getSysOwnerNames, isAdHocProc, justWarnings, preprocessSQLScript, supportsPlan, switchDatabase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerbyHelper

    public DerbyHelper()

Method Detail

### getProcIdentifier

    public org.eclipse.datatools.sqltools.core.ProcIdentifier getProcIdentifier(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                                                                                java.lang.String dbObjectName,
                                                                                int dbObjectType,
                                                                                java.lang.String tableName,
                                                                                java.lang.String ownerName,
                                                                                java.lang.String tableOwnerName)

  Overrides:
    `getProcIdentifier` in class `org.eclipse.datatools.sqltools.core.DBHelper`

### getProcIdentifier

    public org.eclipse.datatools.sqltools.core.ProcIdentifier getProcIdentifier(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                                                                                int dbObjectType,
                                                                                java.util.Map map)

  Overrides:
    `getProcIdentifier` in class `org.eclipse.datatools.sqltools.core.DBHelper`